#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ITurningPointsIndicator[] cacheITurningPointsIndicator;
		private ShortTermSwingsNT8[] cacheShortTermSwingsNT8;

		
		public ITurningPointsIndicator ITurningPointsIndicator(int psizetpi, double mult, bool ishtf, double pImpact, ITurningPointsIndicator_PeriodType periodtypeTf1, int pTf1, int trendPeriod, bool showhtfplot, bool paintBarstpi, float displaywidthDx, float xMarginDx, float yMarginDx)
		{
			return ITurningPointsIndicator(Input, psizetpi, mult, ishtf, pImpact, periodtypeTf1, pTf1, trendPeriod, showhtfplot, paintBarstpi, displaywidthDx, xMarginDx, yMarginDx);
		}

		public ShortTermSwingsNT8 ShortTermSwingsNT8(bool paintBars)
		{
			return ShortTermSwingsNT8(Input, paintBars);
		}


		
		public ITurningPointsIndicator ITurningPointsIndicator(ISeries<double> input, int psizetpi, double mult, bool ishtf, double pImpact, ITurningPointsIndicator_PeriodType periodtypeTf1, int pTf1, int trendPeriod, bool showhtfplot, bool paintBarstpi, float displaywidthDx, float xMarginDx, float yMarginDx)
		{
			if (cacheITurningPointsIndicator != null)
				for (int idx = 0; idx < cacheITurningPointsIndicator.Length; idx++)
					if (cacheITurningPointsIndicator[idx].Psizetpi == psizetpi && cacheITurningPointsIndicator[idx].Mult == mult && cacheITurningPointsIndicator[idx].Ishtf == ishtf && cacheITurningPointsIndicator[idx].PImpact == pImpact && cacheITurningPointsIndicator[idx].PeriodtypeTf1 == periodtypeTf1 && cacheITurningPointsIndicator[idx].PTf1 == pTf1 && cacheITurningPointsIndicator[idx].TrendPeriod == trendPeriod && cacheITurningPointsIndicator[idx].Showhtfplot == showhtfplot && cacheITurningPointsIndicator[idx].PaintBarstpi == paintBarstpi && cacheITurningPointsIndicator[idx].DisplaywidthDx == displaywidthDx && cacheITurningPointsIndicator[idx].XMarginDx == xMarginDx && cacheITurningPointsIndicator[idx].YMarginDx == yMarginDx && cacheITurningPointsIndicator[idx].EqualsInput(input))
						return cacheITurningPointsIndicator[idx];
			return CacheIndicator<ITurningPointsIndicator>(new ITurningPointsIndicator(){ Psizetpi = psizetpi, Mult = mult, Ishtf = ishtf, PImpact = pImpact, PeriodtypeTf1 = periodtypeTf1, PTf1 = pTf1, TrendPeriod = trendPeriod, Showhtfplot = showhtfplot, PaintBarstpi = paintBarstpi, DisplaywidthDx = displaywidthDx, XMarginDx = xMarginDx, YMarginDx = yMarginDx }, input, ref cacheITurningPointsIndicator);
		}

		public ShortTermSwingsNT8 ShortTermSwingsNT8(ISeries<double> input, bool paintBars)
		{
			if (cacheShortTermSwingsNT8 != null)
				for (int idx = 0; idx < cacheShortTermSwingsNT8.Length; idx++)
					if (cacheShortTermSwingsNT8[idx].PaintBars == paintBars && cacheShortTermSwingsNT8[idx].EqualsInput(input))
						return cacheShortTermSwingsNT8[idx];
			return CacheIndicator<ShortTermSwingsNT8>(new ShortTermSwingsNT8(){ PaintBars = paintBars }, input, ref cacheShortTermSwingsNT8);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ITurningPointsIndicator ITurningPointsIndicator(int psizetpi, double mult, bool ishtf, double pImpact, ITurningPointsIndicator_PeriodType periodtypeTf1, int pTf1, int trendPeriod, bool showhtfplot, bool paintBarstpi, float displaywidthDx, float xMarginDx, float yMarginDx)
		{
			return indicator.ITurningPointsIndicator(Input, psizetpi, mult, ishtf, pImpact, periodtypeTf1, pTf1, trendPeriod, showhtfplot, paintBarstpi, displaywidthDx, xMarginDx, yMarginDx);
		}

		public Indicators.ShortTermSwingsNT8 ShortTermSwingsNT8(bool paintBars)
		{
			return indicator.ShortTermSwingsNT8(Input, paintBars);
		}


		
		public Indicators.ITurningPointsIndicator ITurningPointsIndicator(ISeries<double> input , int psizetpi, double mult, bool ishtf, double pImpact, ITurningPointsIndicator_PeriodType periodtypeTf1, int pTf1, int trendPeriod, bool showhtfplot, bool paintBarstpi, float displaywidthDx, float xMarginDx, float yMarginDx)
		{
			return indicator.ITurningPointsIndicator(input, psizetpi, mult, ishtf, pImpact, periodtypeTf1, pTf1, trendPeriod, showhtfplot, paintBarstpi, displaywidthDx, xMarginDx, yMarginDx);
		}

		public Indicators.ShortTermSwingsNT8 ShortTermSwingsNT8(ISeries<double> input , bool paintBars)
		{
			return indicator.ShortTermSwingsNT8(input, paintBars);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ITurningPointsIndicator ITurningPointsIndicator(int psizetpi, double mult, bool ishtf, double pImpact, ITurningPointsIndicator_PeriodType periodtypeTf1, int pTf1, int trendPeriod, bool showhtfplot, bool paintBarstpi, float displaywidthDx, float xMarginDx, float yMarginDx)
		{
			return indicator.ITurningPointsIndicator(Input, psizetpi, mult, ishtf, pImpact, periodtypeTf1, pTf1, trendPeriod, showhtfplot, paintBarstpi, displaywidthDx, xMarginDx, yMarginDx);
		}

		public Indicators.ShortTermSwingsNT8 ShortTermSwingsNT8(bool paintBars)
		{
			return indicator.ShortTermSwingsNT8(Input, paintBars);
		}


		
		public Indicators.ITurningPointsIndicator ITurningPointsIndicator(ISeries<double> input , int psizetpi, double mult, bool ishtf, double pImpact, ITurningPointsIndicator_PeriodType periodtypeTf1, int pTf1, int trendPeriod, bool showhtfplot, bool paintBarstpi, float displaywidthDx, float xMarginDx, float yMarginDx)
		{
			return indicator.ITurningPointsIndicator(input, psizetpi, mult, ishtf, pImpact, periodtypeTf1, pTf1, trendPeriod, showhtfplot, paintBarstpi, displaywidthDx, xMarginDx, yMarginDx);
		}

		public Indicators.ShortTermSwingsNT8 ShortTermSwingsNT8(ISeries<double> input , bool paintBars)
		{
			return indicator.ShortTermSwingsNT8(input, paintBars);
		}

	}
}

#endregion
